org.eclipse.emf.facet.query.java.metamodel.v0_2_0.javaquery

## Interface JavaQuery

All Superinterfaces:
  Query

    public interface JavaQuery
    extends Query

A representation of the model object 'Java Query'.

The following features are supported:

- `Implementation Class Name`

See Also:
  `JavaQueryPackage.getJavaQuery()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getImplementationClassName()` Returns the value of the 'Implementation Class Name' attribute.
`void` `setImplementationClassName(java.lang.String value)` Sets the value of the '`Implementation Class Name`' attribute.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible.Query

`isCanBeCached, isCanHaveSideEffects, setCanBeCached, setCanHaveSideEffects`

### Method Detail

#### getImplementationClassName

    java.lang.String getImplementationClassName()

Returns the value of the 'Implementation Class Name' attribute.

If the meaning of the 'Implementation Class Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Implementation Class Name' attribute.
See Also:
  `setImplementationClassName(String)`, `JavaQueryPackage.getJavaQuery_ImplementationClassName()`
Generated:
Model:

#### setImplementationClassName

    void setImplementationClassName(java.lang.String value)

Sets the value of the '`Implementation Class Name`' attribute.

Parameters:
  `value` - the new value of the 'Implementation Class Name' attribute.
See Also:
  `getImplementationClassName()`
Generated: